package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * @Author: sunxiang
 * @Date: 2018/6/18
 * @Description:
 **/
public class DicUpdateCycle {

    public static final String EVERYTIME="实时";//实时
    public static final String EVERYDAY="每日";//每日
    public static final String EVERYWEEK="每周";//每周
    public static final String EVERYMONTH="每月";//每月
    public static final String EVERYSEASON="每季度";//每季度
    public static final String EVERYHALFYEAR="每半年";//每半年
    public static final String EVERYYEAR="每年";//每年

    private static DicUpdateCycle instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicUpdateCycle(){
        dicMap=new LinkedHashMap<String,String>();
        dicMap.put(EVERYTIME,EVERYTIME);
        dicMap.put(EVERYDAY,EVERYDAY);
        dicMap.put(EVERYWEEK,EVERYWEEK);
        dicMap.put(EVERYMONTH,EVERYMONTH);
        dicMap.put(EVERYSEASON,EVERYSEASON);
        dicMap.put(EVERYHALFYEAR,EVERYHALFYEAR);
        dicMap.put(EVERYYEAR,EVERYYEAR);
    }
    public static DicUpdateCycle getInstance(){
        if(null==instance){
            instance=new DicUpdateCycle();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String,String>)dicMap.clone();
    }
}
